Start Transcription

Initiate a new transcription job with an audio file, presigned URL, YouTube URL, or m3u8 URL. The job will be processed asynchronously and the response will contain a job_name and transcript_id.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

A human-readable name for your job. Not strictly required, but highly recommended.

string
enum

If you're not uploading an audio file, you can send either a presigned URL, YouTube URL or m3u8 URL. In this case, this parameter is required. Specify a url_type from one of the following: audio_url, youtube, m3u8, and include an encoded URL in the url parameter.

Allowed:
string

If you're not uploading an audio file, you can send either a presigned URL, YouTube URL or m3u8 URL. In this case, this parameter is required. Specify a url_type and include an encoded URL for this parameter.

string
Defaults to en

Default behaviour: Automatically detect language. Not recommended.
Set the language of the input source. This is recommended and results in higher quality transcripts.
Wordcab supports 57 languages for transcription, each denoted by a two-letter ISO 639-1 code. You can find a detailed overview of supported languages here.

boolean
Defaults to true

Whether to auto-detect speakers and split the transcript by each speaker's utterance.

boolean
Defaults to false

If you're sending a dual-channel audio file, it will be split into two, transcribed, and recombined into a single transcript. This results in accurate diarization, and thus the diarization parameter will be ignored. If the audio sent is mono-channel, it will instead go through the standard flow, and diarization will be used.

integer
Defaults to 10800

Only used if setting the url_type parameter to m3u8. If this isn't set, up to 10800 seconds will be transcribed from the m3u8 URL. If a duration is set, only that many seconds will be transcribed from the m3u8 URL.

string

A comma-separated string of words to be added as a custom dictionary. Useful for adding proper nouns, acronyms, or other words that may not be recognized by the speech-to-text engine.

boolean
Defaults to false

Warning: requires webhooks to be enabled. If set to true, your webhooks will receive all processed data simultaneously instead of only a job reference. Ephemeral data provides a convenient, automatic way of removing sensitive data from Wordcab servers.
📝 Note that enabling ephemeral_data wipes all sensitive data tied to a particular job. You will not be able to retrieve a finished job via polling, nor will you be able to reuse any transcript_id or summary_id tied to the removed job.

string

A comma-separated string consisting of user-defined tags. Wordcab will filter stats to only account for the specified tags.

Body Params
file

Supported audio file formats include flac, m4a, mp3, mpga, ogg, and wav. source must be set to audio.

Headers
string

A metadata object is composed of a key-value pair. To add metadata to your job, you must add X-Wordcab-Metadata-<Key> headers to your /transcribe request, where <Key> is a key of your choice.
This way a metadata object with the key-value pairs you initially set will be saved to your job object. By convention, Wordcab will extract anything after X-Wordcab-Metadata- (in this case, <Key>), make the string lowercase, and then convert any dashes to underscores.
For example, an X-Wordcab-Metadata-UUID key with a value of "abc", and an X-Wordcab-Metadata-User-ID key with a value of "123" will result in the following metadata object when retrieving your job: "metadata": { "uuid": "abc", "user_id": "123" }

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json